Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 19 Apr 2014, 08:35
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Seamonkey-2.0 Final
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 4 [57 Posts]   Goto page: Previous 1, 2, 3, 4
Author Message
edl

Joined: 24 Sep 2009
Posts: 10

PostPosted: Wed 18 Nov 2009, 12:15    Post subject:  

sorry
but the pet package not function on puppy 4.20.
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7547
Location: qld

PostPosted: Thu 19 Nov 2009, 01:49    Post subject:  

edl

Quote:
but the pet package not function on puppy 4.20.


What do you mean by that? I have it working fine in 4.2.1. You may need to do this...
Quote:
in /usr/bin there should be a symlink to /usr/lib/seamonkey-2.0/seamonkey which executes the browser. It should run fine from a prompt. I don't know about xfce so that's all I can tell you. You could possibly drag that shortcut to the desktop and assign it an icon.


If you don't know how, search the forum or ask a question in the beginners forum. There could be many things that went wrong.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
8-bit


Joined: 03 Apr 2007
Posts: 3280
Location: Oregon

PostPosted: Thu 19 Nov 2009, 02:11    Post subject:
Subject description: Solved by renaming and moving folder from Seamonkey 1.8.1
 

<SOLVED>

I am still pulling my hair out trying to get my email to work with Seamonkey 2.0.
I had setup email using the desktop email icon and got it to work there.
When I was running Seamonkey 1.8.1, it recognized and used the settings I had already set up.
With Seamonkey 2.0, I am unable to import my email settings, accounts, inbox, etc.
When I open my email via the icon on the desktop, and also in Seamonkey 1.18, the inbox showed it had messages in it.
Seamonkey 2.0 shows it as empty.
Also, I had to do some exotic settings to get my mail to work with the mail setup using the desktop icon with my email account at msn.com.
The options I used are combined in Seamonkey 2.0 and the damn things don't work!
Anyone else had any success?
And before you tell me Seamonkey's web site has the answer, I will say that I have already tried that.
After reading some of the posts on their forum, I have to say I am not alone in this!

Last edited by 8-bit on Fri 20 Nov 2009, 00:04; edited 2 times in total
Back to top
View user's profile Send private message 
aragon

Joined: 15 Oct 2007
Posts: 1696
Location: Germany

PostPosted: Thu 19 Nov 2009, 12:26    Post subject:  

01micko wrote:
edl

Quote:
but the pet package not function on puppy 4.20.


What do you mean by that? I have it working fine in 4.2.1.

micko,

could it be that this is also a problem of libgio?

aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
davids45


Joined: 26 Nov 2006
Posts: 607
Location: Chatswood, NSW

PostPosted: Thu 19 Nov 2009, 20:00    Post subject:  

G'day 8-bit,

I don't know precisely how you are using your email set-up with Seamonkey but I find with Seamonkey2.0 that it is using a slightly different default location to the traditional Seamonkey. Seamonkey2.0 creates seamonkey directories whereas traditional Seamonkeys use mozilla directories. The only plus side I see for this is you can run both Seamonkeys in the same OS.

I don't use the profile manager so maybe the following won't help you.
Anyway, I keep all my mail, bookmarks, address books in a Mail directory on a separate partition from all the OS partitions on my computer. For Puppies, I symlink the bookmark and address book files in the default (random charactered) directory usually in /root/.mozilla to the data partition directory.

In Mail, I also set the Local Folders directory (and any other accounts) in the Mail Account Properties menu to this Mail directory. So all my Pups (and XP) use the same and only Mail data files.

Of course, I have to auto-mount the data partition with every OS otherwise Seamonkey just shows blank pages for Mail, Bookmarks, etc.

Seamonkey2.0 seems to have or create a couple of 'default' seamonkey directories so it took me a couple of goes to find in which one I needed to delete the default bookmarks file and to replace this with a symlink to my bookmarks.html in my Mail data directory. Having found the seamonkey directory I wanted, I then made the other changes there as well. Works very well (so far).

Try pfind to locate all the seamonkey directories and check which is the working directory. It may not be the one in /root/.mozilla/seamonkey Once you find the right one, then modify/link the appropriate files to suit your system.

Seamonkey2.0 does work - I've got it going in dpup482 and Puppy Arcade (which don't have a good cross-OS email package like Seamonkey).

Good luck,

David S.
Back to top
View user's profile Send private message 
8-bit


Joined: 03 Apr 2007
Posts: 3280
Location: Oregon

PostPosted: Thu 19 Nov 2009, 23:57    Post subject:  

As I said earlier, SOLVED.
But to let you know what I did to have Seamonkey 2.0 use the mail folder from Seamonkey 1.81 is this.
I opened the file manager.
I left-clicked on the EYE to show all files.
I then opened the .mozilla directory.
I then opened the seamonkey directory.
I then opened the xxxxxxx.default (xxx represents a profile).
I opened that directory.
I then renamed the Mail folder to Old_Mail
I then backed up to the .mozilla directory
I then opened the default directory.
I then opened the xxx.slt directory.
I right-clicked on the Mail directory and selected link.
I then typed in ./mozilla/seamonkey/xxxxx.default/Mail.

That created a link to my Seamonkey 1.8.1 profile/Mail directory in .mozilla.

So now, if I click on the mail icon on the desktop, the same mail is displayed as is in Seamonkey 2.0 and an update to one is shown in the other.
So again, problem solved.
Back to top
View user's profile Send private message 
WB7ODYFred


Joined: 13 Dec 2008
Posts: 103
Location: Oregon & Washington

PostPosted: Sun 22 Nov 2009, 00:23    Post subject: PuppyLinux 4.2.0 needs libgio.pet for Seamonkey-2.0 Final
Subject description: [Solved] install libgio.pet then install Seamonkey-2.0
 

Installed Seamonkey 2.0 Pet and after Pet Package Manager installation completed it reported these missing files.

libgio-2.0.so.0
libthebes.so
libnssutil3.so

2nd, I installed libgio.pet and now Seamonkey-2.0 works on PuppyLinux 4.2.0
This worked for me. You should install libgio.pet before Seamonkey-2.0.pet because you will not have an operational browser to download other .PET files. I had to use Pet Package Manager to install Links browser to get the libgio.pet file downloaded

WB7ODYFred
libgio.pet
Description  File libgio.pet needs to be installed for PuppyLinux 4.2.0 to operate Seamonkey 2.0
pet

 Download 
Filename  libgio.pet 
Filesize  145.7 KB 
Downloaded  2131 Time(s) 
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7547
Location: qld

PostPosted: Sun 22 Nov 2009, 04:34    Post subject:  

aragon wrote:

micko,

could it be that this is also a problem of libgio?

aragon


Looks like the case. Thanks to WB7ODYFred for solving that!

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
vtpup


Joined: 15 Oct 2008
Posts: 1077
Location: Republic of Vermont

PostPosted: Mon 23 Nov 2009, 01:49    Post subject:  

I've loaded the 2.0 .pet onto 4.3.1 as an experiment. I found it was important to readability to copy Barry's changes to the chrome settings .css documents to the new chrome folder, and rename the new ones to the same name as the old ones.

Also, like many other frugal multi-booters, I keep my .mozilla folder outside of the personal savefile (in /mnt/home) and link various Puppies with seamonkey to it. They all share the same .mozilla.

Now 2.0 is a little different.

Using what others have written, I've successfully linked my bookmarks and address book from my main default in .mozilla to the new 2.0 Seamonkey default directory.

I've also linked my mail folder to the new seamonkey. However, I receive the account start up wizard as soon as I open the new email program. If I cancel out of the wizard the mail itself doesn't show up in the 2.0 mail program

How did you guys who are seeing your mail in 2.0 handle setting up accounts? Is there a way of linking these, too, and where are they located in .mozilla?

Thanks!
Back to top
View user's profile Send private message 
edl

Joined: 24 Sep 2009
Posts: 10

PostPosted: Mon 23 Nov 2009, 11:32    Post subject:  

hi o1micko
this is screen shots about library
[img][/img]
Back to top
View user's profile Send private message 
vtpup


Joined: 15 Oct 2008
Posts: 1077
Location: Republic of Vermont

PostPosted: Mon 23 Nov 2009, 23:11    Post subject:  

Instead of canceling out of the account setup Wizard, I set up a new account. When I closed out of seamonkey browser and email and re-opened I finally did see my mail.

I do wish someone could advise on how to transfer or link email server accounts from an older seamonkey to 2.0.

I have a fair number of them, and they have different settings. It's a pain to set them all up again.

I wish I could find where account data is kept. But I haven't found it yet.
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7547
Location: qld

PostPosted: Tue 24 Nov 2009, 01:18    Post subject:  

Hi edl

I do realise when installing seamonkey 2 on 4.2x that the package manager does print out a lot of dependency issues, however only one is necessary, libgio . It is safe to ignore the others. I made a note in the main post. The reason I did not realise is because I use Valide which requires the libgio dependency and I already had it installed in my 4.2.1 awhile ago.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 4 of 4 [57 Posts]   Goto page: Previous 1, 2, 3, 4
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0736s ][ Queries: 13 (0.0075s) ][ GZIP on ]